function generateClusters_svc()
    close all;
    clear all;
    
    D = generateRings;
    file = 'data_unifang_radialgauss4.data';
    storeData(D', file, 3);
    
% generates two concentric rings with angular distribution and radial
% Gaussian distribution
function D = generateRings()     
    points1 = 150;
    points2 = 300;
    radius1 = 0.5;
    radius2 = 2;
    
    ring1_angle = 2*pi*rand(points1,1);
    %ring1_radlen = rand(points1,1);
    %radius1 = ring1_radlen + radius1;
    radial_gaussian = randn(points1,2)*0.4;
    x1 = radius1.*sin(ring1_angle) + radial_gaussian(:,1);
    y1 = radius1.*cos(ring1_angle) + radial_gaussian(:,2);
    D = [x1 y1 ones(points1,1)]; 
    plot(x1, y1, '.b');
    hold on;
    
    ring2_angle = 2*pi*rand(points2,1);
%     ring2_radlen = rand(points2,1);
%     radius2 = ring2_radlen + radius2;
    radial_gaussian = randn(points2,2)*0.3;
    x2 = radius2.*sin(ring2_angle) + radial_gaussian(:,1);
    y2 = radius2.*cos(ring2_angle) + radial_gaussian(:,2);
    D2 = [x2 y2 ones(points2,1)*2]; 
    D = [D;D2];
    plot(x2, y2, '.r');
    axis([-4,4,-4,4]);
    
    